storefronts / Page templates
PUT
/api/page-template-entries/{id}Update Page Template Entry
Updates a page-template entry owned by the authenticated user and returns the updated entry.
Authentication
- Requirement
- Required
- Credential type
- session
- Scopes
- Not specified
Permissions
- Requires an authenticated storefront session.
Headers
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
id | Yes | Not specified | Description: Identifier for the resource. |
Query Parameters
Request Body
Schema: UpdateEntryBody
| Field | Required | Type | Details |
|---|---|---|---|
template_id | No | integer | Description: Identifier for template. |
title | No | string | Description: Display title. |
slug | No | string | Description: URL-safe slug value. |
route | No | string | Description: Text value. |
status | No | string | Description: Resource status value. |
meta_title | No | string | Description: Display title. |
meta_description | No | string | Description: Text value. |
schema_json | No | string | Description: Text value. |
faq_config | No | JSON | Description: JSON object. |
values | No | object | Description: JSON object. |
Response Body
Example 200 response
json
{
"id": 1,
"project_id": 1,
"template_id": 1,
"title": "Example",
"slug": "example-slug",
"route": "string",
"status": "active",
"meta_title": "string",
"meta_description": "string",
"schema_json": "string",
"faq_config": {},
"values": {},
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z"
}Errors
400 page_link_invalid400 page_template_required_value_missing400 template_project_mismatch404 page_template_entry_not_found404 page_template_not_found500 page_template_entry_update_failedAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

